#include "ToolSelector.h"


ToolSelector::ToolSelector(EditManager *editManager) : sidebar(editManager) {
  this->editManager = editManager;
  
  image = gtk_image_new_from_stock(GTK_STOCK_MISSING_IMAGE, GTK_ICON_SIZE_BUTTON);
  g_object_ref_sink(G_OBJECT(image));
}

ToolSelector::~ToolSelector() {
  g_object_unref(G_OBJECT(image));
}

bool ToolSelector::buttonPress(unsigned int button) {
  if(button != 1)
    return false;
  
  editManager->setSelectedObject(editManager->getHoveredObject());
  
  editManager->redraw();
  sidebar.update();
  
  return true;
}
